path: /build/build/mariadb-dev-db-6-10.6.11+3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-bindist -columnstore -galera -innodb-snappy -jdbc -jemalloc -kerberos -kernel_linux -libressl -mroonga -numa -odbc -oqgraph -prefix -selinux -sst-mariabackup -sst-rsync -static -systemtap -tcmalloc -yassl backup cracklib extraengine innodb-lz4 innodb-lzo pam perl s3 server xml" emerge dev-db/mariadb:6 -pv -t && \
    USE="-bindist -columnstore -galera -innodb-snappy -jdbc -jemalloc -kerberos -kernel_linux -libressl -mroonga -numa -odbc -oqgraph -prefix -selinux -sst-mariabackup -sst-rsync -static -systemtap -tcmalloc -yassl backup cracklib extraengine innodb-lz4 innodb-lzo pam perl s3 server xml" emerge -j ${JOBS} --nodeps dev-db/mariadb:6
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/mariadb && luet-portage --dir /pkgdir/mariadb
    dev-db/mariadb:6 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:31e8995318c4266824eb01fea05d48466bc1c69ba5433c88aa914db318a5554a
  package:
    name: mariadb
    version: 10.6.11+3
    category: dev-db-6
    use_flags:
    - -bindist
    - -columnstore
    - -galera
    - -innodb-snappy
    - -jdbc
    - -jemalloc
    - -kerberos
    - -kernel_linux
    - -libressl
    - -mroonga
    - -numa
    - -odbc
    - -oqgraph
    - -prefix
    - -selinux
    - -sst-mariabackup
    - -sst-rsync
    - -static
    - -systemtap
    - -tcmalloc
    - -yassl
    - backup
    - cracklib
    - extraengine
    - innodb-lz4
    - innodb-lzo
    - pam
    - perl
    - s3
    - server
    - xml
    requires:
    - name: snappy
      version: '>=0'
      category: app-arch
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: An enhanced, drop-in replacement for MySQL
    uri:
    - https://mariadb.org/
    license: GPL-2 LGPL-2.1+
    buildtimestamp: 2024-02-26 22:05:31.990907428 +0000 UTC m=+824.372462895
    labels:
      BDEPEND: virtual/yacc || ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 )
        dev-util/ninja dev-util/cmake
      DEPEND: '>=dev-libs/libpcre2-10.34:= >=sys-apps/sed-4 >=sys-apps/texinfo-4.7-r1
        sys-libs/ncurses:0= >=sys-libs/zlib-1.2.3:0= !bindist? ( sys-libs/binutils-libs:0=
        >=sys-libs/readline-4.1:0= ) jemalloc? ( dev-libs/jemalloc:0= ) kerberos?
        ( virtual/krb5 ) kernel_linux? ( sys-process/procps:0= dev-libs/libaio:0=
        ) server? ( app-arch/bzip2 app-arch/xz-utils backup? ( app-arch/libarchive:0=
        ) columnstore? ( app-arch/snappy dev-libs/boost:0= dev-libs/libxml2:2= ) cracklib?
        ( sys-libs/cracklib:0= ) extraengine? ( odbc? ( dev-db/unixODBC:0= ) xml?
        ( dev-libs/libxml2:2= ) ) innodb-lz4? ( app-arch/lz4 ) innodb-lzo? ( dev-libs/lzo
        ) innodb-snappy? ( app-arch/snappy ) mroonga? ( app-text/groonga-normalizer-mysql
        >=app-text/groonga-7.0.4 ) numa? ( sys-process/numactl ) oqgraph? ( >=dev-libs/boost-1.40.0:0=
        dev-libs/judy:0= ) pam? ( sys-libs/pam:0= ) s3? ( net-misc/curl ) ) systemtap?
        ( >=dev-util/systemtap-1.3:0= ) tcmalloc? ( dev-util/google-perftools:0= )
        yassl? ( net-libs/gnutls:0= ) !yassl? ( !libressl? ( >=dev-libs/openssl-1.0.0:0=
        ) libressl? ( dev-libs/libressl:0= ) ) server? ( extraengine? ( jdbc? ( >=virtual/jdk-1.6
        ) ) ) static? ( sys-libs/ncurses[static-libs] ) jdbc? ( >=dev-java/java-config-2.2.0-r3
        ) sys-apps/shadow'
      IUSE: +backup bindist columnstore cracklib debug extraengine galera innodb-lz4
        innodb-lzo innodb-snappy jdbc jemalloc kerberos latin1 libressl mroonga numa
        odbc oqgraph pam +perl profiling rocksdb selinux +server sphinx sst-rsync
        sst-mariabackup static systemtap s3 tcmalloc test xml yassl elibc_FreeBSD
        jdbc
      RDEPEND: '>=dev-libs/libpcre2-10.34:= >=sys-apps/sed-4 >=sys-apps/texinfo-4.7-r1
        sys-libs/ncurses:0= >=sys-libs/zlib-1.2.3:0= !bindist? ( sys-libs/binutils-libs:0=
        >=sys-libs/readline-4.1:0= ) jemalloc? ( dev-libs/jemalloc:0= ) kerberos?
        ( virtual/krb5 ) kernel_linux? ( sys-process/procps:0= dev-libs/libaio:0=
        ) server? ( app-arch/bzip2 app-arch/xz-utils backup? ( app-arch/libarchive:0=
        ) columnstore? ( app-arch/snappy dev-libs/boost:0= dev-libs/libxml2:2= ) cracklib?
        ( sys-libs/cracklib:0= ) extraengine? ( odbc? ( dev-db/unixODBC:0= ) xml?
        ( dev-libs/libxml2:2= ) ) innodb-lz4? ( app-arch/lz4 ) innodb-lzo? ( dev-libs/lzo
        ) innodb-snappy? ( app-arch/snappy ) mroonga? ( app-text/groonga-normalizer-mysql
        >=app-text/groonga-7.0.4 ) numa? ( sys-process/numactl ) oqgraph? ( >=dev-libs/boost-1.40.0:0=
        dev-libs/judy:0= ) pam? ( sys-libs/pam:0= ) s3? ( net-misc/curl ) ) systemtap?
        ( >=dev-util/systemtap-1.3:0= ) tcmalloc? ( dev-util/google-perftools:0= )
        yassl? ( net-libs/gnutls:0= ) !yassl? ( !libressl? ( >=dev-libs/openssl-1.0.0:0=
        ) libressl? ( dev-libs/libressl:0= ) ) !dev-db/mysql-community !dev-db/mariadb-galera
        !dev-db/percona-server !dev-db/mysql-cluster !dev-db/mariadb:0 !dev-db/mariadb:5.5
        !dev-db/mariadb:10.1 !dev-db/mariadb:10.2 !dev-db/mariadb:10.3 !dev-db/mariadb:10.4
        !dev-db/mariadb:10.5 !<virtual/mysql-5.6-r11 !<virtual/libmysqlclient-18-r1
        selinux? ( sec-policy/selinux-mysql ) server? ( columnstore? ( dev-db/mariadb-connector-c
        ) extraengine? ( jdbc? ( >=virtual/jre-1.6 ) ) galera? ( sys-apps/iproute2
        =sys-cluster/galera-26* sst-rsync? ( sys-process/lsof ) sst-mariabackup? (
        net-misc/socat[ssl] ) ) !prefix? ( dev-db/mysql-init-scripts ) ) perl? ( !dev-db/mytop
        virtual/perl-Getopt-Long dev-perl/TermReadKey virtual/perl-Term-ANSIColor
        virtual/perl-Time-HiRes ) jdbc? ( >=dev-java/java-config-2.2.0-r3 )'
      emerge.packages: dev-db/mariadb:6
      kit: core-server-kit
      original.package.name: dev-db/mariadb
      original.package.slot: "6"
      original.package.version: 10.6.11
    treedir: /build/packages
  package_dir: /pkgdir/mariadb
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 0fec2164a1a21dc0ebf5ccb544ae9b3b511c69bd298b3307caff49ab17c2e241
compressiontype: zstd
files:
- etc/mysql/mariadb.d/50-distro-client.cnf
- etc/mysql/mariadb.d/50-distro-server.cnf
- etc/mysql/mariadb.d/90-replication-server.cnf
- etc/mysql/my.cnf
- etc/mysql/mysqlaccess.conf
- usr/bin/aria_chk
- usr/bin/aria_dump_log
- usr/bin/aria_ftdump
- usr/bin/aria_pack
- usr/bin/aria_read_log
- usr/bin/aria_s3_copy
- usr/bin/innochecksum
- usr/bin/mariabackup
- usr/bin/mariadb
- usr/bin/mariadb-admin
- usr/bin/mariadb-backup
- usr/bin/mariadb-binlog
- usr/bin/mariadb-check
- usr/bin/mariadb-client-test
- usr/bin/mariadb-conv
- usr/bin/mariadb-dump
- usr/bin/mariadb-dumpslow
- usr/bin/mariadb-fix-extensions
- usr/bin/mariadb-hotcopy
- usr/bin/mariadb-import
- usr/bin/mariadb-install-db
- usr/bin/mariadb-plugin
- usr/bin/mariadb-show
- usr/bin/mariadb-slap
- usr/bin/mariadb-test
- usr/bin/mariadb-tzinfo-to-sql
- usr/bin/mariadb-upgrade
- usr/bin/mariadb-waitpid
- usr/bin/mariadbd-multi
- usr/bin/mariadbd-safe
- usr/bin/mariadbd-safe-helper
- usr/bin/mbstream
- usr/bin/msql2mysql
- usr/bin/myisam_ftdump
- usr/bin/myisamchk
- usr/bin/myisamlog
- usr/bin/myisampack
- usr/bin/mysql
- usr/bin/mysql_client_test
- usr/bin/mysql_convert_table_format
- usr/bin/mysql_find_rows
- usr/bin/mysql_fix_extensions
- usr/bin/mysql_install_db
- usr/bin/mysql_plugin
- usr/bin/mysql_secure_installation
- usr/bin/mysql_setpermission
- usr/bin/mysql_tzinfo_to_sql
- usr/bin/mysql_upgrade
- usr/bin/mysql_waitpid
- usr/bin/mysqlaccess
- usr/bin/mysqladmin
- usr/bin/mysqlanalyze
- usr/bin/mysqlbinlog
- usr/bin/mysqlcheck
- usr/bin/mysqld_multi
- usr/bin/mysqld_safe
- usr/bin/mysqld_safe_helper
- usr/bin/mysqldump
- usr/bin/mysqldumpslow
- usr/bin/mysqlhotcopy
- usr/bin/mysqlimport
- usr/bin/mysqloptimize
- usr/bin/mysqlrepair
- usr/bin/mysqlshow
- usr/bin/mysqlslap
- usr/bin/mysqltest
- usr/bin/mytop
- usr/bin/replace
- usr/bin/resolve_stack_dump
- usr/bin/resolveip
- usr/include/mysql/server/private/authors.h
- usr/include/mysql/server/private/backup.h
- usr/include/mysql/server/private/bounded_queue.h
- usr/include/mysql/server/private/client_settings.h
- usr/include/mysql/server/private/compat56.h
- usr/include/mysql/server/private/contributors.h
- usr/include/mysql/server/private/create_options.h
- usr/include/mysql/server/private/create_tmp_table.h
- usr/include/mysql/server/private/custom_conf.h
- usr/include/mysql/server/private/datadict.h
- usr/include/mysql/server/private/ddl_log.h
- usr/include/mysql/server/private/debug.h
- usr/include/mysql/server/private/debug_sync.h
- usr/include/mysql/server/private/derived_handler.h
- usr/include/mysql/server/private/derror.h
- usr/include/mysql/server/private/des_key_file.h
- usr/include/mysql/server/private/discover.h
- usr/include/mysql/server/private/event_data_objects.h
- usr/include/mysql/server/private/event_db_repository.h
- usr/include/mysql/server/private/event_parse_data.h
- usr/include/mysql/server/private/event_queue.h
- usr/include/mysql/server/private/event_scheduler.h
- usr/include/mysql/server/private/events.h
- usr/include/mysql/server/private/field.h
- usr/include/mysql/server/private/field_comp.h
- usr/include/mysql/server/private/filesort.h
- usr/include/mysql/server/private/filesort_utils.h
- usr/include/mysql/server/private/gcalc_slicescan.h
- usr/include/mysql/server/private/gcalc_tools.h
- usr/include/mysql/server/private/grant.h
- usr/include/mysql/server/private/group_by_handler.h
- usr/include/mysql/server/private/gstream.h
- usr/include/mysql/server/private/ha_partition.h
- usr/include/mysql/server/private/ha_sequence.h
- usr/include/mysql/server/private/handle_connections_win.h
- usr/include/mysql/server/private/handler.h
- usr/include/mysql/server/private/hash_filo.h
- usr/include/mysql/server/private/hostname.h
- usr/include/mysql/server/private/init.h
- usr/include/mysql/server/private/innodb_priv.h
- usr/include/mysql/server/private/item.h
- usr/include/mysql/server/private/item_cmpfunc.h
- usr/include/mysql/server/private/item_create.h
- usr/include/mysql/server/private/item_func.h
- usr/include/mysql/server/private/item_geofunc.h
- usr/include/mysql/server/private/item_jsonfunc.h
- usr/include/mysql/server/private/item_row.h
- usr/include/mysql/server/private/item_strfunc.h
- usr/include/mysql/server/private/item_subselect.h
- usr/include/mysql/server/private/item_sum.h
- usr/include/mysql/server/private/item_timefunc.h
- usr/include/mysql/server/private/item_vers.h
- usr/include/mysql/server/private/item_windowfunc.h
- usr/include/mysql/server/private/item_xmlfunc.h
- usr/include/mysql/server/private/json_table.h
- usr/include/mysql/server/private/key.h
- usr/include/mysql/server/private/keycaches.h
- usr/include/mysql/server/private/lex.h
- usr/include/mysql/server/private/lex_string.h
- usr/include/mysql/server/private/lex_symbol.h
- usr/include/mysql/server/private/lock.h
- usr/include/mysql/server/private/log.h
- usr/include/mysql/server/private/log_event.h
- usr/include/mysql/server/private/log_event_old.h
- usr/include/mysql/server/private/log_slow.h
- usr/include/mysql/server/private/mariadb.h
- usr/include/mysql/server/private/mdl.h
- usr/include/mysql/server/private/mem_root_array.h
- usr/include/mysql/server/private/message.h
- usr/include/mysql/server/private/multi_range_read.h
- usr/include/mysql/server/private/my_apc.h
- usr/include/mysql/server/private/my_decimal.h
- usr/include/mysql/server/private/my_json_writer.h
- usr/include/mysql/server/private/mysqld.h
- usr/include/mysql/server/private/mysqld_suffix.h
- usr/include/mysql/server/private/opt_range.h
- usr/include/mysql/server/private/opt_subselect.h
- usr/include/mysql/server/private/opt_trace.h
- usr/include/mysql/server/private/opt_trace_context.h
- usr/include/mysql/server/private/parse_file.h
- usr/include/mysql/server/private/partition_element.h
- usr/include/mysql/server/private/partition_info.h
- usr/include/mysql/server/private/privilege.h
- usr/include/mysql/server/private/procedure.h
- usr/include/mysql/server/private/protocol.h
- usr/include/mysql/server/private/proxy_protocol.h
- usr/include/mysql/server/private/records.h
- usr/include/mysql/server/private/repl_failsafe.h
- usr/include/mysql/server/private/replication.h
- usr/include/mysql/server/private/rowid_filter.h
- usr/include/mysql/server/private/rpl_constants.h
- usr/include/mysql/server/private/rpl_filter.h
- usr/include/mysql/server/private/rpl_gtid.h
- usr/include/mysql/server/private/rpl_injector.h
- usr/include/mysql/server/private/rpl_mi.h
- usr/include/mysql/server/private/rpl_parallel.h
- usr/include/mysql/server/private/rpl_record.h
- usr/include/mysql/server/private/rpl_record_old.h
- usr/include/mysql/server/private/rpl_reporting.h
- usr/include/mysql/server/private/rpl_rli.h
- usr/include/mysql/server/private/rpl_tblmap.h
- usr/include/mysql/server/private/rpl_utility.h
- usr/include/mysql/server/private/scheduler.h
- usr/include/mysql/server/private/select_handler.h
- usr/include/mysql/server/private/semisync.h
- usr/include/mysql/server/private/semisync_master.h
- usr/include/mysql/server/private/semisync_master_ack_receiver.h
- usr/include/mysql/server/private/semisync_slave.h
- usr/include/mysql/server/private/session_tracker.h
- usr/include/mysql/server/private/set_var.h
- usr/include/mysql/server/private/slave.h
- usr/include/mysql/server/private/sp.h
- usr/include/mysql/server/private/sp_cache.h
- usr/include/mysql/server/private/sp_head.h
- usr/include/mysql/server/private/sp_pcontext.h
- usr/include/mysql/server/private/sp_rcontext.h
- usr/include/mysql/server/private/spatial.h
- usr/include/mysql/server/private/sql_acl.h
- usr/include/mysql/server/private/sql_admin.h
- usr/include/mysql/server/private/sql_alloc.h
- usr/include/mysql/server/private/sql_alter.h
- usr/include/mysql/server/private/sql_analyse.h
- usr/include/mysql/server/private/sql_analyze_stmt.h
- usr/include/mysql/server/private/sql_array.h
- usr/include/mysql/server/private/sql_audit.h
- usr/include/mysql/server/private/sql_base.h
- usr/include/mysql/server/private/sql_basic_types.h
- usr/include/mysql/server/private/sql_binlog.h
- usr/include/mysql/server/private/sql_bitmap.h
- usr/include/mysql/server/private/sql_bootstrap.h
- usr/include/mysql/server/private/sql_cache.h
- usr/include/mysql/server/private/sql_callback.h
- usr/include/mysql/server/private/sql_class.h
- usr/include/mysql/server/private/sql_cmd.h
- usr/include/mysql/server/private/sql_connect.h
- usr/include/mysql/server/private/sql_const.h
- usr/include/mysql/server/private/sql_crypt.h
- usr/include/mysql/server/private/sql_cte.h
- usr/include/mysql/server/private/sql_cursor.h
- usr/include/mysql/server/private/sql_db.h
- usr/include/mysql/server/private/sql_debug.h
- usr/include/mysql/server/private/sql_delete.h
- usr/include/mysql/server/private/sql_derived.h
- usr/include/mysql/server/private/sql_digest.h
- usr/include/mysql/server/private/sql_digest_stream.h
- usr/include/mysql/server/private/sql_do.h
- usr/include/mysql/server/private/sql_error.h
- usr/include/mysql/server/private/sql_explain.h
- usr/include/mysql/server/private/sql_expression_cache.h
- usr/include/mysql/server/private/sql_get_diagnostics.h
- usr/include/mysql/server/private/sql_handler.h
- usr/include/mysql/server/private/sql_help.h
- usr/include/mysql/server/private/sql_hset.h
- usr/include/mysql/server/private/sql_i_s.h
- usr/include/mysql/server/private/sql_insert.h
- usr/include/mysql/server/private/sql_join_cache.h
- usr/include/mysql/server/private/sql_lex.h
- usr/include/mysql/server/private/sql_lifo_buffer.h
- usr/include/mysql/server/private/sql_limit.h
- usr/include/mysql/server/private/sql_list.h
- usr/include/mysql/server/private/sql_load.h
- usr/include/mysql/server/private/sql_locale.h
- usr/include/mysql/server/private/sql_manager.h
- usr/include/mysql/server/private/sql_mode.h
- usr/include/mysql/server/private/sql_parse.h
- usr/include/mysql/server/private/sql_partition.h
- usr/include/mysql/server/private/sql_partition_admin.h
- usr/include/mysql/server/private/sql_plist.h
- usr/include/mysql/server/private/sql_plugin.h
- usr/include/mysql/server/private/sql_plugin_compat.h
- usr/include/mysql/server/private/sql_prepare.h
- usr/include/mysql/server/private/sql_priv.h
- usr/include/mysql/server/private/sql_profile.h
- usr/include/mysql/server/private/sql_reload.h
- usr/include/mysql/server/private/sql_rename.h
- usr/include/mysql/server/private/sql_repl.h
- usr/include/mysql/server/private/sql_schema.h
- usr/include/mysql/server/private/sql_select.h
- usr/include/mysql/server/private/sql_sequence.h
- usr/include/mysql/server/private/sql_servers.h
- usr/include/mysql/server/private/sql_show.h
- usr/include/mysql/server/private/sql_signal.h
- usr/include/mysql/server/private/sql_sort.h
- usr/include/mysql/server/private/sql_statistics.h
- usr/include/mysql/server/private/sql_string.h
- usr/include/mysql/server/private/sql_table.h
- usr/include/mysql/server/private/sql_tablespace.h
- usr/include/mysql/server/private/sql_test.h
- usr/include/mysql/server/private/sql_time.h
- usr/include/mysql/server/private/sql_trigger.h
- usr/include/mysql/server/private/sql_truncate.h
- usr/include/mysql/server/private/sql_tvc.h
- usr/include/mysql/server/private/sql_type.h
- usr/include/mysql/server/private/sql_type_fixedbin.h
- usr/include/mysql/server/private/sql_type_fixedbin_storage.h
- usr/include/mysql/server/private/sql_type_geom.h
- usr/include/mysql/server/private/sql_type_int.h
- usr/include/mysql/server/private/sql_type_json.h
- usr/include/mysql/server/private/sql_type_real.h
- usr/include/mysql/server/private/sql_type_string.h
- usr/include/mysql/server/private/sql_udf.h
- usr/include/mysql/server/private/sql_union.h
- usr/include/mysql/server/private/sql_update.h
- usr/include/mysql/server/private/sql_view.h
- usr/include/mysql/server/private/sql_window.h
- usr/include/mysql/server/private/strfunc.h
- usr/include/mysql/server/private/structs.h
- usr/include/mysql/server/private/sys_vars_shared.h
- usr/include/mysql/server/private/table.h
- usr/include/mysql/server/private/table_cache.h
- usr/include/mysql/server/private/thr_malloc.h
- usr/include/mysql/server/private/thread_cache.h
- usr/include/mysql/server/private/threadpool.h
- usr/include/mysql/server/private/threadpool_generic.h
- usr/include/mysql/server/private/threadpool_winsockets.h
- usr/include/mysql/server/private/transaction.h
- usr/include/mysql/server/private/tzfile.h
- usr/include/mysql/server/private/tztime.h
- usr/include/mysql/server/private/uniques.h
- usr/include/mysql/server/private/unireg.h
- usr/include/mysql/server/private/vers_string.h
- usr/include/mysql/server/private/win_tzname_data.h
- usr/include/mysql/server/private/winservice.h
- usr/include/mysql/server/private/wsrep_applier.h
- usr/include/mysql/server/private/wsrep_binlog.h
- usr/include/mysql/server/private/wsrep_client_service.h
- usr/include/mysql/server/private/wsrep_client_state.h
- usr/include/mysql/server/private/wsrep_condition_variable.h
- usr/include/mysql/server/private/wsrep_high_priority_service.h
- usr/include/mysql/server/private/wsrep_mutex.h
- usr/include/mysql/server/private/wsrep_mysqld.h
- usr/include/mysql/server/private/wsrep_mysqld_c.h
- usr/include/mysql/server/private/wsrep_on.h
- usr/include/mysql/server/private/wsrep_priv.h
- usr/include/mysql/server/private/wsrep_schema.h
- usr/include/mysql/server/private/wsrep_server_service.h
- usr/include/mysql/server/private/wsrep_server_state.h
- usr/include/mysql/server/private/wsrep_sst.h
- usr/include/mysql/server/private/wsrep_storage_service.h
- usr/include/mysql/server/private/wsrep_thd.h
- usr/include/mysql/server/private/wsrep_trans_observer.h
- usr/include/mysql/server/private/wsrep_types.h
- usr/include/mysql/server/private/wsrep_utils.h
- usr/include/mysql/server/private/wsrep_var.h
- usr/include/mysql/server/private/wsrep_xid.h
- usr/include/mysql/server/private/xa.h
- usr/lib64/libmariadb.a
- usr/lib64/libmysqlservices.a
- usr/lib64/mariadb/plugin/auth_ed25519.so
- usr/lib64/mariadb/plugin/auth_pam.so
- usr/lib64/mariadb/plugin/auth_pam_tool_dir/.keep_dev-db_mariadb-6
- usr/lib64/mariadb/plugin/auth_pam_tool_dir/auth_pam_tool
- usr/lib64/mariadb/plugin/auth_pam_v1.so
- usr/lib64/mariadb/plugin/cracklib_password_check.so
- usr/lib64/mariadb/plugin/disks.so
- usr/lib64/mariadb/plugin/file_key_management.so
- usr/lib64/mariadb/plugin/func_test.so
- usr/lib64/mariadb/plugin/ha_federated.so
- usr/lib64/mariadb/plugin/ha_federatedx.so
- usr/lib64/mariadb/plugin/ha_spider.so
- usr/lib64/mariadb/plugin/handlersocket.so
- usr/lib64/mariadb/plugin/locales.so
- usr/lib64/mariadb/plugin/metadata_lock_info.so
- usr/lib64/mariadb/plugin/query_cache_info.so
- usr/lib64/mariadb/plugin/query_response_time.so
- usr/lib64/mariadb/plugin/server_audit.so
- usr/lib64/mariadb/plugin/simple_password_check.so
- usr/lib64/mariadb/plugin/sql_errlog.so
- usr/lib64/mariadb/plugin/test_sql_service.so
- usr/lib64/mariadb/plugin/type_mysql_json.so
- usr/lib64/mariadb/plugin/type_test.so
- usr/lib64/mariadb/plugin/zstd.so
- usr/libexec/mariadb/my_print_defaults
- usr/libexec/mariadb/perror
- usr/sbin/mariadbd
- usr/sbin/mysqld
- usr/share/aclocal/mysql.m4
- usr/share/doc/mariadb-10.6.11/COPYING.bz2
- usr/share/doc/mariadb-10.6.11/CREDITS.bz2
- usr/share/doc/mariadb-10.6.11/INSTALL-BINARY.bz2
- usr/share/doc/mariadb-10.6.11/README-wsrep.bz2
- usr/share/doc/mariadb-10.6.11/README.md.bz2
- usr/share/doc/mariadb-10.6.11/THIRDPARTY.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_config.pl.in.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_performance_tables.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_system_tables.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_system_tables_data.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_system_tables_fix.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_test_data_timezone.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysql_test_db.sql.bz2
- usr/share/doc/mariadb-10.6.11/scripts/mysqlaccess.conf.bz2
- usr/share/doc/mariadb-10.6.11/support-files/magic.bz2
- usr/share/man/man1/aria_chk.1.bz2
- usr/share/man/man1/aria_dump_log.1.bz2
- usr/share/man/man1/aria_ftdump.1.bz2
- usr/share/man/man1/aria_pack.1.bz2
- usr/share/man/man1/aria_read_log.1.bz2
- usr/share/man/man1/aria_s3_copy.1.bz2
- usr/share/man/man1/galera_new_cluster.1.bz2
- usr/share/man/man1/galera_recovery.1.bz2
- usr/share/man/man1/innochecksum.1.bz2
- usr/share/man/man1/mariabackup.1.bz2
- usr/share/man/man1/mariadb-access.1
- usr/share/man/man1/mariadb-admin.1
- usr/share/man/man1/mariadb-backup.1
- usr/share/man/man1/mariadb-binlog.1
- usr/share/man/man1/mariadb-check.1
- usr/share/man/man1/mariadb-client-test-embedded.1
- usr/share/man/man1/mariadb-client-test.1
- usr/share/man/man1/mariadb-conv.1.bz2
- usr/share/man/man1/mariadb-convert-table-format.1
- usr/share/man/man1/mariadb-dump.1
- usr/share/man/man1/mariadb-dumpslow.1
- usr/share/man/man1/mariadb-embedded.1
- usr/share/man/man1/mariadb-find-rows.1
- usr/share/man/man1/mariadb-fix-extensions.1
- usr/share/man/man1/mariadb-hotcopy.1
- usr/share/man/man1/mariadb-import.1
- usr/share/man/man1/mariadb-install-db.1
- usr/share/man/man1/mariadb-ldb.1
- usr/share/man/man1/mariadb-plugin.1
- usr/share/man/man1/mariadb-secure-installation.1
- usr/share/man/man1/mariadb-service-convert.1.bz2
- usr/share/man/man1/mariadb-setpermission.1
- usr/share/man/man1/mariadb-show.1
- usr/share/man/man1/mariadb-slap.1
- usr/share/man/man1/mariadb-test-embedded.1
- usr/share/man/man1/mariadb-test.1
- usr/share/man/man1/mariadb-tzinfo-to-sql.1
- usr/share/man/man1/mariadb-upgrade.1
- usr/share/man/man1/mariadb-waitpid.1
- usr/share/man/man1/mariadb.1
- usr/share/man/man1/mariadb_config.1
- usr/share/man/man1/mariadbd-multi.1
- usr/share/man/man1/mariadbd-safe-helper.1
- usr/share/man/man1/mariadbd-safe.1
- usr/share/man/man1/mbstream.1.bz2
- usr/share/man/man1/msql2mysql.1.bz2
- usr/share/man/man1/my_safe_process.1.bz2
- usr/share/man/man1/myisam_ftdump.1.bz2
- usr/share/man/man1/myisamchk.1.bz2
- usr/share/man/man1/myisamlog.1.bz2
- usr/share/man/man1/myisampack.1.bz2
- usr/share/man/man1/myrocks_hotbackup.1.bz2
- usr/share/man/man1/mysql-stress-test.pl.1.bz2
- usr/share/man/man1/mysql-test-run.pl.1.bz2
- usr/share/man/man1/mysql.1.bz2
- usr/share/man/man1/mysql.server.1.bz2
- usr/share/man/man1/mysql_client_test.1.bz2
- usr/share/man/man1/mysql_client_test_embedded.1
- usr/share/man/man1/mysql_config.1.bz2
- usr/share/man/man1/mysql_convert_table_format.1.bz2
- usr/share/man/man1/mysql_embedded.1
- usr/share/man/man1/mysql_find_rows.1.bz2
- usr/share/man/man1/mysql_fix_extensions.1.bz2
- usr/share/man/man1/mysql_install_db.1.bz2
- usr/share/man/man1/mysql_ldb.1.bz2
- usr/share/man/man1/mysql_plugin.1.bz2
- usr/share/man/man1/mysql_secure_installation.1.bz2
- usr/share/man/man1/mysql_setpermission.1.bz2
- usr/share/man/man1/mysql_tzinfo_to_sql.1.bz2
- usr/share/man/man1/mysql_upgrade.1.bz2
- usr/share/man/man1/mysql_waitpid.1.bz2
- usr/share/man/man1/mysqlaccess.1.bz2
- usr/share/man/man1/mysqladmin.1.bz2
- usr/share/man/man1/mysqlbinlog.1.bz2
- usr/share/man/man1/mysqlcheck.1.bz2
- usr/share/man/man1/mysqld_multi.1.bz2
- usr/share/man/man1/mysqld_safe.1.bz2
- usr/share/man/man1/mysqld_safe_helper.1.bz2
- usr/share/man/man1/mysqldump.1.bz2
- usr/share/man/man1/mysqldumpslow.1.bz2
- usr/share/man/man1/mysqlhotcopy.1.bz2
- usr/share/man/man1/mysqlimport.1.bz2
- usr/share/man/man1/mysqlshow.1.bz2
- usr/share/man/man1/mysqlslap.1.bz2
- usr/share/man/man1/mysqltest.1.bz2
- usr/share/man/man1/mysqltest_embedded.1
- usr/share/man/man1/mytop.1.bz2
- usr/share/man/man1/replace.1.bz2
- usr/share/man/man1/resolve_stack_dump.1.bz2
- usr/share/man/man1/resolveip.1.bz2
- usr/share/man/man1/wsrep_sst_common.1.bz2
- usr/share/man/man1/wsrep_sst_mariabackup.1.bz2
- usr/share/man/man1/wsrep_sst_mysqldump.1.bz2
- usr/share/man/man1/wsrep_sst_rsync.1.bz2
- usr/share/man/man1/wsrep_sst_rsync_wan.1.bz2
- usr/share/man/man8/mariadbd.8
- usr/share/man/man8/mysqld.8.bz2
- usr/share/mariadb/binary-configure
- usr/share/mariadb/bulgarian/errmsg.sys
- usr/share/mariadb/charsets/Index.xml
- usr/share/mariadb/charsets/README
- usr/share/mariadb/charsets/armscii8.xml
- usr/share/mariadb/charsets/ascii.xml
- usr/share/mariadb/charsets/cp1250.xml
- usr/share/mariadb/charsets/cp1251.xml
- usr/share/mariadb/charsets/cp1256.xml
- usr/share/mariadb/charsets/cp1257.xml
- usr/share/mariadb/charsets/cp850.xml
- usr/share/mariadb/charsets/cp852.xml
- usr/share/mariadb/charsets/cp866.xml
- usr/share/mariadb/charsets/dec8.xml
- usr/share/mariadb/charsets/geostd8.xml
- usr/share/mariadb/charsets/greek.xml
- usr/share/mariadb/charsets/hebrew.xml
- usr/share/mariadb/charsets/hp8.xml
- usr/share/mariadb/charsets/keybcs2.xml
- usr/share/mariadb/charsets/koi8r.xml
- usr/share/mariadb/charsets/koi8u.xml
- usr/share/mariadb/charsets/latin1.xml
- usr/share/mariadb/charsets/latin2.xml
- usr/share/mariadb/charsets/latin5.xml
- usr/share/mariadb/charsets/latin7.xml
- usr/share/mariadb/charsets/macce.xml
- usr/share/mariadb/charsets/macroman.xml
- usr/share/mariadb/charsets/swe7.xml
- usr/share/mariadb/chinese/errmsg.sys
- usr/share/mariadb/czech/errmsg.sys
- usr/share/mariadb/danish/errmsg.sys
- usr/share/mariadb/dutch/errmsg.sys
- usr/share/mariadb/english/errmsg.sys
- usr/share/mariadb/errmsg-utf8.txt
- usr/share/mariadb/estonian/errmsg.sys
- usr/share/mariadb/fill_help_tables.sql
- usr/share/mariadb/french/errmsg.sys
- usr/share/mariadb/german/errmsg.sys
- usr/share/mariadb/greek/errmsg.sys
- usr/share/mariadb/hindi/errmsg.sys
- usr/share/mariadb/hungarian/errmsg.sys
- usr/share/mariadb/italian/errmsg.sys
- usr/share/mariadb/japanese/errmsg.sys
- usr/share/mariadb/korean/errmsg.sys
- usr/share/mariadb/magic
- usr/share/mariadb/maria_add_gis_sp.sql
- usr/share/mariadb/maria_add_gis_sp_bootstrap.sql
- usr/share/mariadb/mysql-log-rotate
- usr/share/mariadb/mysql.server
- usr/share/mariadb/mysql_performance_tables.sql
- usr/share/mariadb/mysql_sys_schema.sql
- usr/share/mariadb/mysql_system_tables.sql
- usr/share/mariadb/mysql_system_tables_data.sql
- usr/share/mariadb/mysql_test_data_timezone.sql
- usr/share/mariadb/mysql_test_db.sql
- usr/share/mariadb/mysqld_multi.server
- usr/share/mariadb/norwegian/errmsg.sys
- usr/share/mariadb/norwegian-ny/errmsg.sys
- usr/share/mariadb/policy/apparmor/README
- usr/share/mariadb/policy/apparmor/usr.sbin.mysqld
- usr/share/mariadb/policy/apparmor/usr.sbin.mysqld.local
- usr/share/mariadb/policy/selinux/README
- usr/share/mariadb/policy/selinux/mariadb-server.fc
- usr/share/mariadb/policy/selinux/mariadb-server.te
- usr/share/mariadb/policy/selinux/mariadb.te
- usr/share/mariadb/polish/errmsg.sys
- usr/share/mariadb/portuguese/errmsg.sys
- usr/share/mariadb/romanian/errmsg.sys
- usr/share/mariadb/russian/errmsg.sys
- usr/share/mariadb/serbian/errmsg.sys
- usr/share/mariadb/slovak/errmsg.sys
- usr/share/mariadb/spanish/errmsg.sys
- usr/share/mariadb/swedish/errmsg.sys
- usr/share/mariadb/ukrainian/errmsg.sys
- usr/share/mariadb/wsrep_notify
- usr/share/pam_user_map.so
- usr/share/user_map.conf
- var/db/pkg/dev-db/mariadb-10.6.11/BDEPEND
- var/db/pkg/dev-db/mariadb-10.6.11/BUILD_TIME
- var/db/pkg/dev-db/mariadb-10.6.11/CATEGORY
- var/db/pkg/dev-db/mariadb-10.6.11/CBUILD
- var/db/pkg/dev-db/mariadb-10.6.11/CFLAGS
- var/db/pkg/dev-db/mariadb-10.6.11/CHOST
- var/db/pkg/dev-db/mariadb-10.6.11/CONTENTS
- var/db/pkg/dev-db/mariadb-10.6.11/COUNTER
- var/db/pkg/dev-db/mariadb-10.6.11/CXXFLAGS
- var/db/pkg/dev-db/mariadb-10.6.11/DEFINED_PHASES
- var/db/pkg/dev-db/mariadb-10.6.11/DEPEND
- var/db/pkg/dev-db/mariadb-10.6.11/DESCRIPTION
- var/db/pkg/dev-db/mariadb-10.6.11/EAPI
- var/db/pkg/dev-db/mariadb-10.6.11/FEATURES
- var/db/pkg/dev-db/mariadb-10.6.11/HOMEPAGE
- var/db/pkg/dev-db/mariadb-10.6.11/INHERITED
- var/db/pkg/dev-db/mariadb-10.6.11/IUSE
- var/db/pkg/dev-db/mariadb-10.6.11/IUSE_EFFECTIVE
- var/db/pkg/dev-db/mariadb-10.6.11/KEYWORDS
- var/db/pkg/dev-db/mariadb-10.6.11/LDFLAGS
- var/db/pkg/dev-db/mariadb-10.6.11/LICENSE
- var/db/pkg/dev-db/mariadb-10.6.11/NEEDED
- var/db/pkg/dev-db/mariadb-10.6.11/PDEPEND
- var/db/pkg/dev-db/mariadb-10.6.11/PF
- var/db/pkg/dev-db/mariadb-10.6.11/PROVIDES
- var/db/pkg/dev-db/mariadb-10.6.11/RDEPEND
- var/db/pkg/dev-db/mariadb-10.6.11/REQUIRES
- var/db/pkg/dev-db/mariadb-10.6.11/RESTRICT
- var/db/pkg/dev-db/mariadb-10.6.11/SIZE
- var/db/pkg/dev-db/mariadb-10.6.11/SLOT
- var/db/pkg/dev-db/mariadb-10.6.11/USE
- var/db/pkg/dev-db/mariadb-10.6.11/environment.bz2
- var/db/pkg/dev-db/mariadb-10.6.11/mariadb-10.6.11.ebuild
- var/db/pkg/dev-db/mariadb-10.6.11/repository
package_cacheimage: ""
runtime:
  name: mariadb
  version: 10.6.11+3
  category: dev-db-6
  use_flags:
  - -bindist
  - -columnstore
  - -galera
  - -innodb-snappy
  - -jdbc
  - -jemalloc
  - -kerberos
  - -kernel_linux
  - -libressl
  - -mroonga
  - -numa
  - -odbc
  - -oqgraph
  - -prefix
  - -selinux
  - -sst-mariabackup
  - -sst-rsync
  - -static
  - -systemtap
  - -tcmalloc
  - -yassl
  - backup
  - cracklib
  - extraengine
  - innodb-lz4
  - innodb-lzo
  - pam
  - perl
  - s3
  - server
  - xml
  requires:
  - name: libarchive
    version: '>=0'
    category: app-arch
  - name: lz4
    version: '>=0'
    category: app-arch
  - name: mysql-init-scripts
    version: '>=0'
    category: dev-db
  - name: libpcre2
    version: '>=0'
    category: dev-libs
  - name: lzo
    version: '>=0'
    category: dev-libs-2
  - name: TermReadKey
    version: '>=0'
    category: dev-perl
  - name: curl
    version: '>=0'
    category: net-misc
  - name: sed
    version: '>=0'
    category: sys-apps
  - name: texinfo
    version: '>=0'
    category: sys-apps
  - name: binutils-libs
    version: '>=0'
    category: sys-libs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: perl-Getopt-Long
    version: '>=0'
    category: virtual
  - name: perl-Term-ANSIColor
    version: '>=0'
    category: virtual
  - name: perl-Time-HiRes
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: An enhanced, drop-in replacement for MySQL
  uri:
  - https://mariadb.org/
  license: GPL-2 LGPL-2.1+
  labels:
    BDEPEND: virtual/yacc || ( >=sys-devel/gcc-3.4.6 >=sys-devel/gcc-apple-4.0 ) dev-util/ninja
      dev-util/cmake
    DEPEND: '>=dev-libs/libpcre2-10.34:= >=sys-apps/sed-4 >=sys-apps/texinfo-4.7-r1
      sys-libs/ncurses:0= >=sys-libs/zlib-1.2.3:0= !bindist? ( sys-libs/binutils-libs:0=
      >=sys-libs/readline-4.1:0= ) jemalloc? ( dev-libs/jemalloc:0= ) kerberos? (
      virtual/krb5 ) kernel_linux? ( sys-process/procps:0= dev-libs/libaio:0= ) server?
      ( app-arch/bzip2 app-arch/xz-utils backup? ( app-arch/libarchive:0= ) columnstore?
      ( app-arch/snappy dev-libs/boost:0= dev-libs/libxml2:2= ) cracklib? ( sys-libs/cracklib:0=
      ) extraengine? ( odbc? ( dev-db/unixODBC:0= ) xml? ( dev-libs/libxml2:2= ) )
      innodb-lz4? ( app-arch/lz4 ) innodb-lzo? ( dev-libs/lzo ) innodb-snappy? ( app-arch/snappy
      ) mroonga? ( app-text/groonga-normalizer-mysql >=app-text/groonga-7.0.4 ) numa?
      ( sys-process/numactl ) oqgraph? ( >=dev-libs/boost-1.40.0:0= dev-libs/judy:0=
      ) pam? ( sys-libs/pam:0= ) s3? ( net-misc/curl ) ) systemtap? ( >=dev-util/systemtap-1.3:0=
      ) tcmalloc? ( dev-util/google-perftools:0= ) yassl? ( net-libs/gnutls:0= ) !yassl?
      ( !libressl? ( >=dev-libs/openssl-1.0.0:0= ) libressl? ( dev-libs/libressl:0=
      ) ) server? ( extraengine? ( jdbc? ( >=virtual/jdk-1.6 ) ) ) static? ( sys-libs/ncurses[static-libs]
      ) jdbc? ( >=dev-java/java-config-2.2.0-r3 ) sys-apps/shadow'
    IUSE: +backup bindist columnstore cracklib debug extraengine galera innodb-lz4
      innodb-lzo innodb-snappy jdbc jemalloc kerberos latin1 libressl mroonga numa
      odbc oqgraph pam +perl profiling rocksdb selinux +server sphinx sst-rsync sst-mariabackup
      static systemtap s3 tcmalloc test xml yassl elibc_FreeBSD jdbc
    RDEPEND: '>=dev-libs/libpcre2-10.34:= >=sys-apps/sed-4 >=sys-apps/texinfo-4.7-r1
      sys-libs/ncurses:0= >=sys-libs/zlib-1.2.3:0= !bindist? ( sys-libs/binutils-libs:0=
      >=sys-libs/readline-4.1:0= ) jemalloc? ( dev-libs/jemalloc:0= ) kerberos? (
      virtual/krb5 ) kernel_linux? ( sys-process/procps:0= dev-libs/libaio:0= ) server?
      ( app-arch/bzip2 app-arch/xz-utils backup? ( app-arch/libarchive:0= ) columnstore?
      ( app-arch/snappy dev-libs/boost:0= dev-libs/libxml2:2= ) cracklib? ( sys-libs/cracklib:0=
      ) extraengine? ( odbc? ( dev-db/unixODBC:0= ) xml? ( dev-libs/libxml2:2= ) )
      innodb-lz4? ( app-arch/lz4 ) innodb-lzo? ( dev-libs/lzo ) innodb-snappy? ( app-arch/snappy
      ) mroonga? ( app-text/groonga-normalizer-mysql >=app-text/groonga-7.0.4 ) numa?
      ( sys-process/numactl ) oqgraph? ( >=dev-libs/boost-1.40.0:0= dev-libs/judy:0=
      ) pam? ( sys-libs/pam:0= ) s3? ( net-misc/curl ) ) systemtap? ( >=dev-util/systemtap-1.3:0=
      ) tcmalloc? ( dev-util/google-perftools:0= ) yassl? ( net-libs/gnutls:0= ) !yassl?
      ( !libressl? ( >=dev-libs/openssl-1.0.0:0= ) libressl? ( dev-libs/libressl:0=
      ) ) !dev-db/mysql-community !dev-db/mariadb-galera !dev-db/percona-server !dev-db/mysql-cluster
      !dev-db/mariadb:0 !dev-db/mariadb:5.5 !dev-db/mariadb:10.1 !dev-db/mariadb:10.2
      !dev-db/mariadb:10.3 !dev-db/mariadb:10.4 !dev-db/mariadb:10.5 !<virtual/mysql-5.6-r11
      !<virtual/libmysqlclient-18-r1 selinux? ( sec-policy/selinux-mysql ) server?
      ( columnstore? ( dev-db/mariadb-connector-c ) extraengine? ( jdbc? ( >=virtual/jre-1.6
      ) ) galera? ( sys-apps/iproute2 =sys-cluster/galera-26* sst-rsync? ( sys-process/lsof
      ) sst-mariabackup? ( net-misc/socat[ssl] ) ) !prefix? ( dev-db/mysql-init-scripts
      ) ) perl? ( !dev-db/mytop virtual/perl-Getopt-Long dev-perl/TermReadKey virtual/perl-Term-ANSIColor
      virtual/perl-Time-HiRes ) jdbc? ( >=dev-java/java-config-2.2.0-r3 )'
    emerge.packages: dev-db/mariadb:6
    kit: core-server-kit
    original.package.name: dev-db/mariadb
    original.package.slot: "6"
    original.package.version: 10.6.11
